set in [open Spellbook6.txt]
set dir ON
set newspell OFF
set curfile {}
set space 0
set curdir {}
file mkdir generazione
while {![eof $in]} {
	set row [gets $in]
	if {$row=={}} {
		incr space
		if {$space>2} {
			set dir ON
		} elseif {$space==2} {
			set newspell ON
		} else {
			if {$curfile!={}} {
				puts $curfile $row
			}
		}
	} elseif {$dir=="ON"} {
		puts "New levell = $row"
		# preparazione directory
		set nome generazione/[string trim $row]
		regsub " " $nome "_" nome
		file mkdir $nome
		set curdir $nome
		set space 0
		set newspell ON
		set dir OFF
	} else {
		if {$newspell=="ON"} {
			set nome [split $row (]
			if {$curfile!={}} {
				close $curfile
			}
			puts "\t\t spell = [string trim [lindex $nome 0]]"
			set nome_file $curdir/[string trim [lindex $nome 0]].txt
			while {[file exists $nome_file]} {
				set nome_file $nome_file\_
			}
			set curfile [open $nome_file w+]
			puts $curfile [string trim [lindex $nome 0]]
			puts $curfile "([string trim [lindex $nome 1]]"
			set newspell OFF
		} else {
			if ![ regexp "Author" $row] {
				puts $curfile $row
			}
		}
		set space 0
	}
}
